
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');


:root {
    --buttonsColor: #58afe3;
    --buttonsColorRGBA: rgba(88,175,227,.7);
    --darkGrey: #21252b;
    --grey:#404754;
    --ligthGrey:#6d7077;
    --backgroundColor:#253037;
    /* #cdd9e1 */

    --blueDark:#053B50;
    --blueMed:#176B87;
    --blueLigth:#64CCC5;
    --fontColor:#EEEEEE;

    --variableViolet:#c677dc;
    --variableYellow:#e5c07b;
    --variableGreen:#98c375;
    --variableRed:#db6c75;
    --variableOrange:#cf9661;
    --variableSky:#53b0bd;

    font-size: 16px;
}

html {
    scroll-behavior: smooth;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    color: #ccccc2;
    color: white;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-style: normal;
    font-size: 16px;
    background-color: black;

    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-rows: 70px auto;
    grid-gap: 0 40px;
}

header{
    /* height: 80vh; */
    height: 500px;
    /* margin-left: 10%; */
    background-color: #21252b;
    border-radius: 1em;
    /* width: 25%; */
    max-width: 350px;
    min-width: 320px;
    position: sticky;
    top: 70px;
    /* transform: translateY(-50%); */
    text-align: center;
    /* box-shadow: 7px 7px 8px #cbced1, -13px -13px 20px #fff; */
    display: flex;
    flex-direction: column;
    align-items: center;

    animation-name: entrada;
    animation-duration: .5s;

    grid-column-start: 1;
    grid-row-start: 2;
    justify-self: end;

}

@keyframes entrada {
    0% {opacity: 0; transform: scale(.3);}
    100% {opacity: 1; transform: scale(1);}
}

div.profileImg {
    width: 170px;
    height: 150px;
    position: relative;
    bottom: 50px;

}

header div.profileImg img {
    width: 100%;

}

h1{
    font-size: 2rem;
    padding: 0 20px;
}

header h3{
    font-weight: 300;
    margin-top: 10px;
}

header .mail {
    display: flex;
    align-items: center;
    margin: 20px 0;
}

header .mail img {
    margin-top: 3px;
}

header .mail .envelope {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

header .mail i{
    color: white;
    padding: 10px 10px 10px 11px;
    font-size: 1.2rem;
    border-radius: 50px;
    background-color: var(--buttonsColor);
    margin-right: 10px;
    /* border: 2px solid var(--buttonsColor); */
}

header a{
    color: white;
    
}

header a:hover{
    transition-duration: .5s;
    text-decoration-color: var(--buttonsColor);
}

/* header button {
    background-color: #58afe3;
    color: white;
    font-size: 1rem;
    border: none;
    border-radius: 15px;
    padding: 7px 15px;
    font-family: 'Poppins';
    font-weight: 400;
    transition-duration: .3s;
} */

main {
    /* background-color: #282c34; */
    background-color: #404754;
    /* margin-right: 10%; */
    margin-right: 25px;
    /* margin-left: 37%; */
    color: white;
    /* margin-top: 70px; */
    /* box-shadow: 7px 7px 8px #cbced1, -13px -13px 20px #fff; */
    animation-name: entradaMain;
    animation-duration: 1s;
    transform: translateY(0);
    max-width: 800px;

    grid-column-start: 2;
    grid-row-start: 2;
}

@keyframes entradaMain {
    0% {opacity: 0; transform: translateY(-200px);}
    100% {opacity: 1;transform: translateY(0)}
}

main .navBar {
    background-color: var(--darkGrey);
    display: flex;
    justify-content: space-between;
    align-items: stretch;    
    position: sticky;
    top: 0;
    z-index: 1;
}

main .navBar .burger {
    display: none;
}

main .navBar ul {
    display: flex;
}

main .navBar ul li{
    display: inline-block;
    width: 130px;
}

main .navBar ul li.knowledges{
    width: 150px;
}

main .navBar ul li a{
    width: 100%;
    display: inline-block;
    text-decoration: none;
    border-bottom: 1px solid #21252b;
    color: var(--grey);
    padding: 7px 7px 7px 10px;
    transition-duration: .5s;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* main .navBar ul li a i.fas {
    visibility: visible;
    font-size: 20px;
}

main .navBar ul li a i.fas.fa-id-card-alt{
    color: #e34c26;
}

main .navBar ul li a i.fas.fa-phone-square-alt{
    color: #264de4;
}

main .navBar ul li a i.fas.fa-globe{
    color: #ffca28;
}

main .navBar ul li a i.fas.fa-folder-open{
    color: #ffca28;
}


main .navBar ul li a i.fas:hover {
    background: none;
    border: none;
} */

main .navBar ul li a:hover i,
main .navBar ul li a.active i {
    /* font-size: 1.125rem; */
    visibility: visible;
    font-size: 20px;
    /* margin-left: 15px; */
}

main .navBar ul li a i:hover{
    background-color: rgba(109, 112, 119,.5);
    border-radius: 2px;
    transition-duration: .3s;
}

main .navBar ul li a i{
    visibility: hidden;
}

main .navBar ul li a:hover {
    background-color: var(--grey);
    color: var(--ligthGrey);
    border-bottom-color: var(--grey);
    transition-duration: 0s;
}

main .navBar ul li a.active{
    background-color: #404754;
    border-bottom-color: white;
    color: white;
}

main .navBar .language {
    padding-right: 15px;
    display: flex;
    align-items: center;
}

main .navBar .language button {
    background: none;
    border: none;
    transition: .3s ease;
    padding: 0 7px;
    cursor: not-allowed;
    
}

/* main .navBar .language button:hover {
    cursor: pointer;
} */

main .navBar .language button img{
    -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
    filter: grayscale(100%);
    height: 1.2rem;
    width: 1.2rem;
    transition-duration: .3s;
}

main .navBar .language button img.selected {
    -webkit-filter: grayscale(0%); /* Safari 6.0 - 9.0 */
    filter: grayscale(0%);
}

/* main .navBar .language button:hover img {
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%);
} */

main .content2>section{
    padding: 100px 50px 0 50px;
    margin-bottom: 50px;
}

main .presentation .greet{
    font-size: 1.50rem;
}

main .presentation h2 {
    font-size: 2.75rem;
    color: var(--buttonsColor);
    padding-left: 20px;
    display: none;
}

main .description .code-editor {
    width: 100%;
}

.terminal_cursor {
    display: block;
    height: 14px;
    width: 5px;
    margin-left: 10px;
    animation: curbl 1200ms linear infinite;
  }
  
  @keyframes curbl {
  
    0% {
      background: #ffffff;
    }
  
    49% {
      background: #ffffff;
    }
  
    60% {
      background: transparent;
    }
  
    99% {
      background: transparent;
    }
  
    100% {
      background: #ffffff;
    }
}








/**********************BOTON LINKEDIN Y CV*****************************/


.lkbtn a{
    display: inline-block;
    padding: 10px 12.5px;
    background-color: #58afe3;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    transition: .3s;
    text-decoration: none;
}

.lkbtn a:hover{
    opacity: .8;
}

.lkbtn a i {
    color: white;
    font-size: 1.5rem;
}



.animated-button {
    font-family: 'Poppins';
    position: relative;
    display: flex;
    align-items: center;
    gap: 4px;
    padding: 8px 36px;
    margin-top: 30px;
    border: 4px solid;
    border-color: transparent;
    font-size: 1rem;
    background-color: inherit;
    border-radius: 100px;
    font-weight: 600;
    text-decoration: none;
    color: var(--buttonsColor);
    box-shadow: 0 0 0 2px var(--buttonsColor);
    cursor: pointer;
    overflow: hidden;
    transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}
  
.animated-button svg {
    position: absolute;
    width: 24px;
    fill: var(--buttonsColor);
    z-index: 9;
    transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}
  
.animated-button .arr-1 {
    right: 16px;
}
  
.animated-button .arr-2 {
    left: -25%;
}
  
.animated-button .circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 20px;
    height: 20px;
    background-color: var(--buttonsColor);
    border-radius: 50%;
    opacity: 0;
    transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}
  
.animated-button .text {
    position: relative;
    z-index: 1;
    transform: translateX(-12px);
    transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}
  
.animated-button:hover {
    box-shadow: 0 0 0 12px transparent;
    color: white;
    border-radius: 100px;
    font-weight: 400;
    /* border: 4px solid var(--buttonsColor);  */
    padding: 12px 40px;
}
  
.animated-button:hover .arr-1 {
    right: -25%;
}
  
.animated-button:hover .arr-2 {
    left: 16px;
}
  
.animated-button:hover .text {
    transform: translateX(12px);
}
  
.animated-button:hover svg {
    fill: white;
}
  
.animated-button:active {
    scale: 0.95;
    box-shadow: 0 0 0 4px var(--buttonsColor);
}
  
.animated-button:hover .circle {
    width: 220px;
    height: 220px;
    opacity: 1;
}
  

/************************VENTANA DE CODIGO**************************/

.description .code-editor {
    /* max-width: 300px; */
    width: 100%;
    background-color: #1d1e22;
    box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.5);
    border-radius: 8px;
    padding: 2px;
}
  
.description .description-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 10px;
}
  
.description .title {
    font-family: Lato, sans-serif;
    font-weight: 900;
    font-size: 0.875rem;
    letter-spacing: 1.57px;
    color: rgb(212 212 212);
}
  
.description .icon {
    width: 20px;
    transition: .2s ease;
}
  
.description .icon:hover {
    cursor: pointer;
    border-radius: 50px;
    background-color: #6e7281;
}
  
.description .editor-content {
    margin: 0 10px 10px;
    color: white;
}
  
.description .property {
    margin-left: 30px;
}
  
.description .property:hover {
    cursor: text;
}
  
.description .editor-content .color-V {
    color: var(--variableViolet);
}

.description .editor-content .color-Y {
    color: var(--variableYellow);
}

.description .editor-content .color-G {
    color: var(--variableGreen);
}

.description .editor-content .color-O {
    color: var(--variableOrange);
}

.description .editor-content .color-R {
    color: var(--variableRed);
}

.description .editor-content .color-Sky {
    color: var(--variableSky);
}

.description .editor-content .color-0 {
    color: rgb(86 156 214);
}
  
.description .editor-content .color-1 {
    color: rgb(182 206 168);
}
  
.description .editor-content .color-2 {
    color: rgb(156 220 254);
}
  
.description .editor-content .color-3 {
    color: rgb(207 146 120);
}
  
.description .color-preview-1,.color-preview-2 {
    height: 8px;
    width: 8px;
    border: 1px solid #fff;
    display: inline-block;
    margin-right: 3px;
}
  
.description .color-preview-1 {
    background-color: #1d1e22;
}
  
.description .color-preview-1 {
    background-color: rgba(0, 0, 0, 0.5);
}



/*********************FORM***********************/

.input-container {
    position: relative;
    margin-top: 50px;
    width: 300px;
    text-align: center;
}

.form-group p {
    font-size: 0.75rem;
    color: #ccc;
}

.form-group .submitMsg{
    font-size: 0.75rem;
    visibility: hidden;
    color: var(--buttonsColor);
    margin-top: 15px;
}

.form-group .submitMsg.send{
    visibility: visible;
    color: var(--buttonsColor);
}

.form-group .submitMsg.error{
    visibility: visible;
}

.form-group p.hidden {
    visibility: hidden;
}

.input-container input[type="text"],
.input-container textarea {
    /* font-size: 20px; */
    width: 100%;
    border: none;
    border-bottom: 2px solid #ccc;
    padding: 5px 7px;
    background-color: transparent;
    outline: none;
    color: white;
    font-size: 1rem;
    font-weight: 400;
    font-family: 'Poppins';
}

.input-container textarea {
    resize: none;
    display: block;
    /* field-sizing:content; */
}
  
.input-container .label {
    position: absolute;
    top: 0;
    left: 0;
    color: #ccc;
    transition: all 0.3s ease;
    pointer-events: none;
}
  
.input-container.ocultar{
    display: none;
    text-align: left;
}

.input-container input[type="text"]:focus ~ .label,
.input-container input[type="text"]:valid ~ .label,
.input-container textarea:focus ~ .label,
.input-container textarea:valid ~ .label {
    top: -20px;
    font-size: 0.75rem;
    color: var(--buttonsColorRGBA);
}
  
.input-container .underline {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 2px;
    width: 100%;
    background-color: var(--buttonsColorRGBA);
    transform: scaleX(0);
    transition: all 0.3s ease;
}
  
.input-container input[type="text"]:focus ~ .underline,
.input-container input[type="text"]:valid ~ .underline,
.input-container textarea:focus ~ .underline,
.input-container textarea:valid ~ .underline {
    transform: scaleX(1);
}
  
.button-container {
    margin-top:20px;
}

.input-container button{
    padding: 10px 20px;
    background-color: var(--buttonsColorRGBA);
    color: white;
    font-family: 'Poppins', sans-serif;
    font-size: 1rem;
    border: none;
    border-radius: 50px;
    transition: all .3s ease;
    transition-duration: .5s;
}

.input-container button:hover {
    /* opacity: .8; */
    background-color: var(--buttonsColor);
    cursor: pointer;
}

.input-container button i{
    margin-left: 5px;
}

.input-container button:hover i{
    transition-duration: 1s;
    transform: translate(2px, -2px);
}

.knowledges h2{
    margin-bottom: 30px;
}

.knowledges .skills-div{
    display: flex;
    flex-direction: column;
}

.knowledges .skills-div .knowledges-box{
    margin-bottom: 20px;
}

.knowledges .skills-div .knowledges-box h4{
    margin-bottom: 15px;
}

.knowledges .knowledges-box .programming-languages{ 
    display: flex;
    flex-wrap: wrap;
    /* justify-content: center; */
}

.knowledges .knowledges-box .programming-languages .image-box{
    margin: 20px 20px 20px 0;
}

.knowledges .knowledges-box.frameworks-db-box {
    display: flex;
}

.knowledges .knowledges-box.frameworks-db-box .database-box {
    margin-left: 50px;
}

.knowledges .knowledges-box .frameworks,
.knowledges .knowledges-box .database {
    display: flex;
    /* justify-content: center; */
    margin-bottom: 20px;
}

.knowledges .skills-div .knowledges-box.frameworks-db-box h4 {
    margin-bottom: 10px;
}

.knowledges .knowledges-box div.image-box{
    list-style: none;
    /* background-color: #ccc; */
    /* background-color: var(--darkGrey); */
    /* padding: 20px; */
    padding: 10px;
    /* border: 5px solid black; */
    margin: 10px 15px 10px 0;
    border-radius: 150px;
    display: flex;
    align-items: center;
    width: fit-content;

    /* box-shadow: 0 0 20px black; */
}

.knowledges .knowledges-box div img{
    width: 50px;
    opacity: .9;
}

.knowledges .knowledges-box div.frameworks img,
.knowledges .knowledges-box div.database img {
    width: 65px;
}

.knowledges .knowledges-box div.html5:hover img{

    /* border-color: #e34c26;
    box-shadow: 0 0 20px #e34c26; */
    opacity: 1;
    filter: drop-shadow(00px 0px 10px #e34c26);
}

.knowledges .knowledges-box div.css3:hover img {

    /* border-color: #264de4;
    box-shadow: 0 0 20px #264de4; */
    opacity: 1;
    filter: drop-shadow(00px 0px 10px #264de4);
}

.knowledges .knowledges-box div.js-square img{
    background-color: var(--darkGrey);
    border-radius: 5px;
}

.knowledges .knowledges-box div.js-square:hover img {

    /* border-color: #f0db4f;
    box-shadow: 0 0 20px #f0db4f; */
    opacity: 1;
    box-shadow: 00px 0px 10px #f0db4f;
}

.knowledges .knowledges-box div.node:hover img {

    /* border-color: #3c873a;
    border-color: #68a063;
    box-shadow: 0 0 20px #68a063; */
    opacity: 1;
    filter: drop-shadow(00px 0px 10px #68a063);
}

.knowledges .knowledges-box div.c-sharp:hover img {

    /* border-color: #782379;
    box-shadow: 0 0 20px #782379; */
    opacity: 1;
    filter: drop-shadow(00px 0px 20px #782379);
}

.knowledges .knowledges-box div.mysql:hover img {

    /* border-color: #197f96;
    box-shadow: 0 0 20px #197f96; */
    opacity: 1;
    filter: drop-shadow(00px 0px 10px #197f96);
}

.knowledges .knowledges-box div.asp:hover img{
    /* border-color: #60b6e5;
    box-shadow: 0 0 20px #60b6e5; */
    opacity: 1;
    filter: drop-shadow(00px 0px 10px #60b6e5);
}

/*******************************PROJECTS**********************************************/

main .content2>section.projects{
    padding-bottom: 0;
    margin-bottom: 0;
}

section.projects p.recent {
    color: var(--ligthGrey);
    font-weight: 300;
}

.card {
    width: 350px;
    height: 200px;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
    margin: 40px 0;
}

.card img {
    width: 100%;
    /* height: 100%;  */
    object-fit: cover;
    /* border-radius: 15px; */
}

.card-body {
    width: 100%;
    height: 100%;
    top: 0;
    right: -100%;
    color: #fff;
    position: absolute;
    background-color: rgba(64, 71, 84, 0.25);
    backdrop-filter: blur(10px);
    border-radius: 15px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: 1.5s;
}

.card:hover .card-body {
    right: 0;
}

.card-title {
    text-transform: uppercase;
    font-size: 1.5em;
    font-weight: 500;    
}

.card-sub-title {
    text-transform: capitalize;
    font-size: 0.75em;
    font-weight: 300;
}

.card-info{
    font-size: 0.875em;
    line-height: 25px;
    margin: 15px 0;
    font-weight: 400;
}

.card-btn {
    color: white;
    background-color: var(--buttonsColorRGBA);
    font-family: 'Poppins',sans-serif;
    font-size: 1em;
    width: 120px;
    padding: 10px 20px;
    border-radius: 25px;
    text-transform: capitalize;
    border: none;
    outline: none;
    font-weight: 500;
    cursor: pointer;
    transition: all .3s ease;
    transition-duration: .5s;
    text-decoration: none;
    text-align: center;
    margin-top: 15px;
}

.card-btn:hover {
    background-color: var(--buttonsColor);
}

.card-btn i{
    margin-left: 5px;
}



.content {
    display: flex;
    justify-content: space-between;
}

aside {
    /* width: 8%; */
    /* width: 6%; */
}

aside p{
    /* background-color: var(--darkGrey); */
    color: var(--ligthGrey);
    text-align: center;
    padding: 5px 15px;
    font-weight: 300;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1rem;
    height: 26px;
}
    
aside p.active {
    color: white;
}

.content2 {
    /* width: 75%; */
    /* width: 91%; */
}

.content3 {
    /* width: 15%; */
    position: sticky;
    top: 40px;
    height: fit-content;
}

.content3 img {
    filter: blur(1px);
}
/**************************************/

.animated-text{
    font-size: 2.75rem;
    font-weight: 600;
    min-width: 280px;
    padding-left: 20px;
}
  
.animated-text span{
    position: relative;
}
  
.animated-text span::before{
    content: "Fullstack Developer";
    /* color: var(--buttonsColor); */
    /* background: linear-gradient(90deg, rgba(88,175,227,1) 0%, rgba(107,199,255,1) 25%, rgba(88,175,227,1) 50%, rgba(107,199,255,1) 75%, rgba(88,175,227,1) 100%); */
    background: linear-gradient(90deg, rgba(107,199,255,1) 10%, rgba(88,175,227,1) 50%, rgba(107,199,255,1) 90%);;
    /* background: linear-gradient(90deg, rgba(107,199,255,1) 25%, rgba(88,175,227,1) 75%);; */
    background-clip: text;
    -webkit-text-fill-color: transparent;

}

  
.animated-text span::after{
    content: "";
    position: absolute;
    width: calc(100% + 12px);
    /* width: 0; */
    height: 100%;
    background-color: var(--grey);
    border-left: 8px solid var(--grey);
    right: -12px;
    animation: cursor .8s infinite, typing 2s steps(25);
    animation-delay: 1s;
    animation-fill-mode: forwards;
}
  
@keyframes cursor {
    to{
        border-left: 8px solid white;
    }
}
  
  /* @keyframes words {
    0%,100%{
        content: "Youtuber";
    }
  } */
  
  /* @keyframes typing {
    0%,10%,15%,30%,35%,50%,55%,70%,75%,90%,95%{
        width: calc(100% + 8px);
        
    }
    5%,20%,25%,40%,45%,60%,65%,80%,85%,100%{
        width: 0;
    }
  } */
  
@keyframes typing {
    0%{
        width: calc(100% + 12px);
      }
    100%{
      width: 0;
    }
}

/*************************************/

.rotating2 {
   position: relative; 
   width: fit-content;
}
.rotator {
    overflow: hidden;
    font-size: 1.5rem;
    line-height: 40px;
}
.content__container {
    overflow: hidden;
    height: 40px;
    padding: 0;
}
.content__container:before {
    content: '[';
    left: 0;
}

@keyframes changeColor {
    to {color: white;}
}

.content__container__list__item:first-child {
    color: var(--grey);
    animation-name: changeColor;
    animation-delay: 4s;
    animation-fill-mode: forwards;
}

.content__container:after {
    content: ']';
    position: absolute;
    right: 123px;
}

.content__container:after, .content__container:before {
    position: absolute;
    top: 0;
    color: #16a085;
    color: var(--buttonsColor);
    font-size: 1.5rem;
    line-height: 40px;
    -webkit-animation-name: opacity;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    animation-name: opacity;
    animation-duration: 2s;
    animation-iteration-count: infinite; 

}

@keyframes deslizar {
    0% {transform: translateX(0);}
    100% {transform: translateX(123px);}
}

.content__container:after {
    animation: deslizar 2s ease 1.5s 1 forwards, opacity 2s infinite;
}
/* .content__container__text {
    display: inline;
    float: left;
    margin: 0;
} */
.content__container__list {
    margin-top: 0;
    padding: 0 20px;
    text-align: left;
    list-style: none;
    -webkit-animation-name: change;
    -webkit-animation-duration: 10s;
    -webkit-animation-iteration-count: infinite;
    animation-name: change;
    animation-duration: 15s;
    animation-iteration-count: infinite;
    animation-delay: 1.8s;
}
.content__container__list__item {
    line-height: 40px;
    margin: 0;
}
@-webkit-keyframes opacity {
    0%, 100% {
      opacity: 0;
    }
    50% {
      opacity: 1;
    }
}
@-webkit-keyframes change {
    0%, 7.5%, 100% {
      transform: translate3d(0, 0, 0);
    }
    12.5%, 20% {
      transform: translate3d(0, -20%, 0);
    }
    25%, 32.5% {
      transform: translate3d(0, -40%, 0);
    }
    37.5%, 45% {
      transform: translate3d(0, -60%, 0);
    }
    50%, 57.5% {
      transform: translate3d(0, -80%, 0);
    }
    62.5%, 70% {
        transform: translate3d(0, -60%, 0);
    }
    75%, 82.5% {
        transform: translate3d(0, -40%, 0);
    }
    87.5%, 95% {
        transform: translate3d(0, -20%, 0);
    }
}
@-o-keyframes opacity {
    0%, 100% {
      opacity: 0;
    }
    50% {
      opacity: 1;
    }
}
@-o-keyframes change {
    0%, 7.5%, 100% {
      transform: translate3d(0, 0, 0);
    }
    12.5%, 20% {
      transform: translate3d(0, -20%, 0);
    }
    25%, 32.5% {
      transform: translate3d(0, -40%, 0);
    }
    37.5%, 45% {
      transform: translate3d(0, -60%, 0);
    }
    50%, 57.5% {
      transform: translate3d(0, -80%, 0);
    }
    62.5%, 70% {
        transform: translate3d(0, -60%, 0);
    }
    75%, 82.5% {
        transform: translate3d(0, -40%, 0);
    }
    87.5%, 95% {
        transform: translate3d(0, -20%, 0);
    }
}

@-moz-keyframes opacity {
    0%, 100% {
      opacity: 0;
    }
    50% {
      opacity: 1;
    }
}

@-moz-keyframes change {
    0%, 7.5%, 100% {
      transform: translate3d(0, 0, 0);
    }
    12.5%, 20% {
      transform: translate3d(0, -20%, 0);
    }
    25%, 32.5% {
      transform: translate3d(0, -40%, 0);
    }
    37.5%, 45% {
      transform: translate3d(0, -60%, 0);
    }
    50%, 57.5% {
      transform: translate3d(0, -80%, 0);
    }
    62.5%, 70% {
        transform: translate3d(0, -60%, 0);
    }
    75%, 82.5% {
        transform: translate3d(0, -40%, 0);
    }
    87.5%, 95% {
        transform: translate3d(0, -20%, 0);
    }
}
@keyframes opacity {
    0%, 100% {
      opacity: 0;
    }
    50% {
      opacity: 1;
    }
}
/* @keyframes change {
    0%, 12.66%, 100% {
      transform: translate3d(0, 0, 0);
    }
    16.66%, 29.32% {
      transform: translate3d(0, -25%, 0);
    }
    33.32%, 45.98% {
      transform: translate3d(0, -50%, 0);
    }
    49.98%, 62.64% {
      transform: translate3d(0, -75%, 0);
    }
    66.64%, 79.3% {
      transform: translate3d(0, -50%, 0);
    }
    83.3%, 95.96% {
      transform: translate3d(0, -25%, 0);
    }
} */

@keyframes change {
    0%, 7.5%, 100% {
      transform: translate3d(0, 0, 0);
    }
    12.5%, 20% {
      transform: translate3d(0, -20%, 0);
    }
    25%, 32.5% {
      transform: translate3d(0, -40%, 0);
    }
    37.5%, 45% {
      transform: translate3d(0, -60%, 0);
    }
    50%, 57.5% {
      transform: translate3d(0, -80%, 0);
    }
    62.5%, 70% {
        transform: translate3d(0, -60%, 0);
    }
    75%, 82.5% {
        transform: translate3d(0, -40%, 0);
    }
    87.5%, 95% {
        transform: translate3d(0, -20%, 0);
    }
}